We can't find the internet
Attempting to reconnect
Something went wrong!
Hang in there while we get back on track
Update Broker
addNewAddressForSelfBroker(address: $address)
- Method
- POST
- Endpoint
-
Sandbox:
https://api-sandbox.corvusinsurance.com/qProduction:https://crowbar.corvusinsurance.com/q - Authentication
-
Send the headers
X-API-KEY, X-USER-EMAIL, X-USER-NAMEwith every request. See Authentication.
Updating a broker's address, specifically providing 'region', will allow for better assignment of an underwriter. This will result in quicker turn around time for submissions.
Arguments
Required Required to submit OptionalPass these as variables.
| Name | Type | Required | Description |
|---|---|---|---|
| address | AddressInput! | Required | New address to associate with the broker making the request |
| country | Country | Optional | ISO two character code of the country (https://www.iso.org/obp/ui/#search) |
| street | String | Optional | Street address |
| streetTwo | String | Optional | Apartment, suite or unit number |
| locality | String | Optional | Name of the city |
| region | String | Optional | Name of the state; the full name or the abbreviation of the state |
| postalCode | String | Optional | Postal Code |
Response fields
Select only the fields you need in the selection set.
| Name | Type | Description |
|---|---|---|
| address | Address | Address of the broker |